package com.wmdigit.wmposdemo.model.data;

import com.wmdigit.wmposdemo.model.bean.ApiButton;
import com.wmdigit.wmposdemo.model.bean.ApiLevel;

import java.util.ArrayList;
import java.util.List;

public class Constant {
    // false-正式环境;true-测试环境 通常情况下，请用正式环境false
    public static final boolean isDebug = false;
    // 这三条为注册信息，调试时请更换为我们通过邮件发给你的信息，其中POS_CODE可自定义，但不要重复
    public static final String SN_CODE  = "C15936F9-ECBD-4DBD-8EED-FD0A83D6042A";
    public static final String POS_CODE = "0022_0095";
    public static final String TENANT   = "demo";
    // 压力测试用，PLU随机范围
    public static final int RANDOM_PLU_MAX = 99999;
    public static final int RANDOM_PLU_MIN = 10000;
    // 功能按钮列表
    public static final List<ApiButton> API_BUTTONS = new ArrayList<ApiButton>() {{
        add(new ApiButton("3.2","initPos", "初始化pos"));
        add(new ApiButton("3.3","setCameraId", "设置开启摄像头id"));
        add(new ApiButton("3.4","getScaleBitmap", "获取全景照片"));
        add(new ApiButton("3.5","saveScaleSetting", "标定秤盘并保存坐标信息"));
        add(new ApiButton("3.6","getScaleSetting", "判断秤盘是否已标定"));
        add(new ApiButton("3.7","setPrint", "设置打印日志",ApiLevel.LEVEL_ABANDON));
        add(new ApiButton("3.8","unBindPos", "解绑POS"));
        add(new ApiButton("3.9","clearTrainedData", "清除训练数据"));
        add(new ApiButton("3.10","autoDetect", "商品识别",ApiLevel.LEVEL_IMPORTANT));
        add(new ApiButton("3.11","setFeedBack", "命中或未命中",ApiLevel.LEVEL_IMPORTANT));
        add(new ApiButton("3.12","setNoRecommend ", "不再推荐"));
        add(new ApiButton("3.13","updateLearningData", "更新学习数据", ApiLevel.LEVEL_ABANDON));
        add(new ApiButton("3.14","getLocalImagePath", "获取本地图片地址"));
        add(new ApiButton("3.15","getSelfLearn", "根据sessionId获取学习数据"));
        add(new ApiButton("3.16","imageLearn", "本地图片异步学习接口"));
        add(new ApiButton("3.17","imageLearnSync", "图片同步学习接口"));
        add(new ApiButton("3.18","imageLearnCancel", "图片学习任务取消"));
        add(new ApiButton("3.19","exportData", "导出学习数据"));
        add(new ApiButton("3.20","importData", "导入学习数据"));
        add(new ApiButton("3.21","startServer", "启动局域网服务"));
        add(new ApiButton("3.22","stopServer", "停止局域网服务"));
        add(new ApiButton("3.23","copyProductImage", "复制商品展示图",ApiLevel.LEVEL_ABANDON));
        add(new ApiButton("3.24","autoProductImage", "自动对应商品展示图",ApiLevel.LEVEL_ABANDON));
        add(new ApiButton("3.25","queryLearnedProducts", "查询已经学习的商品数据"));
        add(new ApiButton("3.26","queryPosByMac", "查询POS注册信息"));
        add(new ApiButton("3.27","learnLocalVectorData", "学习本地特征数据"));
        add(new ApiButton("3.28","correct", "纠错"));
        add(new ApiButton("3.29","thumbnailsAutoMatch","商品自动配图"));
        add(new ApiButton("3.30","checkSnCodeVerification","校验SN码合法性"));
        add(new ApiButton("3.31","preLearning","预学习商品数据"));
    }
    };
}
